Applications are never installer from the "More info" widget

Bug #841323 reported by Rafael Belmonte on 2011-09-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
muon (Ubuntu)
Medium
Unassigned

Bug Description

This affects only to muon-installer binary.
Applications on the list has a button "More info", which displays a new widget with detailed information about the application, this widget contains a "Install" button to order an application installation, when this "Install" button is presses, it changes to a text "Waiting" and it stays on "Waiting" forever, the application is never downloaded and installed.
Steps to reproduce the bug in an example:
1) Open Muon Software Center.
2) Click on Internet category.
3) Click on Chat sub-category (for instance).
4) Click on Konversation application (for instance).
5) Click on "More info" button.
6) Click on "Install" button.

What is happening now?
"Install" button changes to "Waiting" and stays on "Waiting" forever, application is never downloaded and installed.

What is expected to happen?
When "Install" button is pressed, the policykit-kde dialog should appear, and download and installation of the application should start if the user is authorized.

Note: take a look at the attached screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: muon-installer 1.2.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
Architecture: amd64
Date: Sun Sep 4 21:59:05 2011
EcryptfsInUse: Yes
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
SourcePackage: muon
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Rafael Belmonte (eaglescreen) wrote :

Git commit 1a15d5e43fa8a512f970bfdf80d8b92823080343 by Jonathan Thomas.
Committed on 04/09/2011 at 22:38.
Pushed by jmthomas into branch '1.2'.

Fix a bug where installing a package from within the "More Details" view would not do
anything. When I added the addons installation capabilities, I must have accidentally
replaced the connection for the install-application-only signal when I added the
install-application-and-addons signal.

CCMAIL:<email address hidden>

M +2 -0 installer/ApplicationModel/ApplicationViewWidget.cpp

http://commits.kde.org/muon/1a15d5e43fa8a512f970bfdf80d8b92823080343

diff --git a/installer/ApplicationModel/ApplicationViewWidget.cpp b/installer/ApplicationModel/ApplicationViewWidget.cpp
index 1986bb2..533f62e 100644
--- a/installer/ApplicationModel/ApplicationViewWidget.cpp
+++ b/installer/ApplicationModel/ApplicationViewWidget.cpp
@@ -153,6 +153,8 @@ void ApplicationViewWidget::infoButtonClicked(Application *app)
     m_detailsView->setApplication(app);
     m_currentPair.first = m_detailsView;

+ connect(m_detailsView, SIGNAL(installButtonClicked(Application*)),
+ this, SLOT(installButtonClicked(Application*)));
     connect(m_detailsView, SIGNAL(installButtonClicked(Application *, const QHash<QApt::Package *, QApt::Package::State> &)),
             this, SLOT(installButtonClicked(Application *, const QHash<QApt::Package *, QApt::Package::State> &)));
     connect(m_detailsView, SIGNAL(removeButtonClicked(Application *)),

Git commit cfb17955e44352b79be36294065a46d8ffeed227 by Jonathan Thomas.
Committed on 04/09/2011 at 22:38.
Pushed by jmthomas into branch 'master'.

Fix a bug where installing a package from within the "More Details" view would not do
anything. When I added the addons installation capabilities, I must have accidentally
replaced the connection for the install-application-only signal when I added the
install-application-and-addons signal.

CCMAIL:<email address hidden>

M +2 -0 installer/ApplicationModel/ApplicationViewWidget.cpp

http://commits.kde.org/muon/cfb17955e44352b79be36294065a46d8ffeed227

diff --git a/installer/ApplicationModel/ApplicationViewWidget.cpp b/installer/ApplicationModel/ApplicationViewWidget.cpp
index 1986bb2..533f62e 100644
--- a/installer/ApplicationModel/ApplicationViewWidget.cpp
+++ b/installer/ApplicationModel/ApplicationViewWidget.cpp
@@ -153,6 +153,8 @@ void ApplicationViewWidget::infoButtonClicked(Application *app)
     m_detailsView->setApplication(app);
     m_currentPair.first = m_detailsView;

+ connect(m_detailsView, SIGNAL(installButtonClicked(Application*)),
+ this, SLOT(installButtonClicked(Application*)));
     connect(m_detailsView, SIGNAL(installButtonClicked(Application *, const QHash<QApt::Package *, QApt::Package::State> &)),
             this, SLOT(installButtonClicked(Application *, const QHash<QApt::Package *, QApt::Package::State> &)));
     connect(m_detailsView, SIGNAL(removeButtonClicked(Application *)),

Changed in muon (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muon - 1.2.1-0ubuntu1

---------------
muon (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (LP: #837389, #841323, #836967, #838961)
 -- Jonathan Thomas <email address hidden> Sun, 18 Sep 2011 13:34:06 -0400

Changed in muon (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers